#!/usr/local/bin/perl -w
#------------------------------------------------------------------------------
# $Id: stopdb.pl,v 1.2 2002/10/08 16:12:51 manager Exp $
#------------------------------------------------------------------------------
# $Log: stopdb.pl,v $
# Revision 1.2  2002/10/08 16:12:51  manager
# - use strict
# - manpage added
#
# Revision 1.1  2002/10/08 15:01:03  manager
# Initial revision
#
#------------------------------------------------------------------------------

=head1 NAME

stopdb -- stop MySQL database

=head1 SYNOPSIS

B<stopdb> I<datadir>

=head1 DESCRIPTION

B<stopdb> stops the database residing in I<datadir>.

=head1 AUTHOR

Andreas Borchert

=cut

use strict;
use Mysql::Admin;

my $cmdname = $0; $cmdname =~ s{.*/}{};
die "Usage: $cmdname datadir\n" unless @ARGV == 1;
my $datadir = $ARGV[0];
die "$cmdname: no such directory: $datadir\n" unless -d $datadir;
Mysql::Admin::stop($datadir);
