#!/usr/local/bin/perl -w
#------------------------------------------------------------------------------
# $Id: reloaddb.pl,v 1.2 2002/10/08 16:12:37 manager Exp $
#------------------------------------------------------------------------------
# $Log: reloaddb.pl,v $
# Revision 1.2  2002/10/08 16:12:37  manager
# - use strict
# - manpage added
#
# Revision 1.1  2002/10/08 15:01:02  manager
# Initial revision
#
#------------------------------------------------------------------------------

=head1 NAME

reloaddb -- reload MySQL database

=head1 SYNOPSIS

B<reloaddb> I<datadir>

=head1 DESCRIPTION

B<reloaddb> reloads the database residing in I<datadir>.

=head1 AUTHOR

Andreas Borchert

=cut

use strict;
use Mysql::Admin;

my $cmdname = $0; $cmdname =~ s{.*/}{};
die "Usage: $cmdname datadir\n" unless @ARGV == 1;
my $datadir = $ARGV[0];
die "$cmdname: no such directory: $datadir\n" unless -d $datadir;
Mysql::Admin::reload($datadir);
