#!/usr/local/bin/perl -w
#------------------------------------------------------------------------------
# $Id: startdb.pl,v 1.2 2002/10/08 16:12:44 manager Exp $
#------------------------------------------------------------------------------
# $Log: startdb.pl,v $
# Revision 1.2  2002/10/08 16:12:44  manager
# - use strict
# - manpage added
#
# Revision 1.1  2002/10/08 15:01:03  manager
# Initial revision
#
#------------------------------------------------------------------------------

=head1 NAME

startdb -- start MySQL database

=head1 SYNOPSIS

B<startdb> I<datadir>

=head1 DESCRIPTION

B<startdb> starts the database residing in I<datadir>.

=head1 AUTHOR

Andreas Borchert

=cut

use strict;
use Mysql::Admin;

my $cmdname = $0; $cmdname =~ s{.*/}{};
die "Usage: $cmdname datadir\n" unless @ARGV == 1;
my $datadir = $ARGV[0];
die "$cmdname: no such directory: $datadir\n" unless -d $datadir;
Mysql::Admin::start($datadir);
